#!/bin/bash
echo "Cleaning RetroArch build folder"
cd RetroArch
make -f Makefile.switch clean
rm /home/$USER/RetroArch/fs.squashfs

echo "==================================================================="
echo "==================================================================="
echo "==================================================================="
echo "Select which emulator you want to build"
echo "1. snes9x (Super Nintendo)"
echo "2. vba-next (Gameboy Advanced)"
echo "3. fceumm (Nintendo)"
read emu
if [ "$emu" == "1" ]
then
   rm /home/$USER/RetroArch/libretro_switch.a
   cp /home/$USER/libtransistor-snes9x2010/snes9x2010_libretro_switch.a /home/$USER/RetroArch/libretro_switch.a
   cd RetroArch
   make LLVM_POSTFIX=-5.0 -f Makefile.switch LIBTRANSISTOR_HOME=/home/$USER/libtransistor
elif [ "$emu" == "2" ]
then
   rm /home/$USER/RetroArch/libretro_switch.a
   cp /home/$USER/vba-next/vba_next_libretro_switch.a /home/$USER/RetroArch/libretro_switch.a
   cd RetroArch
   make LLVM_POSTFIX=-5.0 -f Makefile.switch LIBTRANSISTOR_HOME=/home/$USER/libtransistor
else
   rm /home/$USER/RetroArch/libretro_switch.a
   cp /home/$USER/libretro-fceumm/fceumm_libretro_switch.a /home/$USER/RetroArch/libretro_switch.a
   cd RetroArch
   make LLVM_POSTFIX=-5.0 -f Makefile.switch LIBTRANSISTOR_HOME=/home/$USER/libtransistor
fi

